
Price Monitoring - Task #1436

Item Price Average within Period - متوسط سعرسلعة خلال مدة زمنية

07/14/2019 04:14 PM - Israa Naser

Status: Closed Start date: 07/14/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result:  

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: متوسط سعرسلعة خلال مدة زمنية Browser: Firefox

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

Item Price Average within Period - متوسط سعرسلعة خلال مدة زمنية

The Item price average within period will let the user to get the item defined price average during specific period

for selected cooperatives with a chart column for the price average for the period inserted and the cooperatives included in the

search,

the user has the following search criteria available:

1.Search by Barcode: The system display the Item has the barcode inserted.

2.Search by Item Name: The system will display all items related or close to the inserted text.

And the following Filters:

3.Cooperatives Selection: The user should determine a cooperative.

4.Category: The system will display all categories added by the user in Add category screen.

5.Item list Selection: The system will display all Items added by the user in add items screen.

6.The user should insert the start and end date for the search.

Related issues:

Related to Bug #1437: Warning message should be displayed to the user when th... Closed 07/14/2019

Related to Bug #1438: the charts display the data in reference to the coopid ... Closed 07/14/2019

Related to Bug #1639: Add city lists to filter the COOPs available for each c... Closed 08/25/2019

Related to Bug #1651: search by item name in any screen containing item name ... Closed 08/25/2019

Related to Bug #1719: Price average screen does not handle searching for a de... Closed 08/31/2019

Related to Bug #1737: Validation over the date period keeps triggering when t... Closed 09/03/2019

History

#1 - 07/14/2019 04:20 PM - Israa Naser

- Related to Bug #1437: Warning message should be displayed to the user when the End date of the Average period is before the beginning date of

the period - Item Price Average within Period added

#2 - 07/14/2019 05:30 PM - Israa Naser

- Related to Bug #1438: the charts display the data in reference to the coopid not the cooperation name - Item Price Average within Period (متوسط

added (سعرسلعة خلال مدة زمنية

#3 - 08/25/2019 10:48 AM - Israa Naser

- Related to Bug #1639: Add city lists to filter the COOPs available for each city when selected  added
#4 - 08/25/2019 02:48 PM - Israa Naser

- Related to Bug #1651: search by item name in any screen containing item name search field  added

#5 - 08/31/2019 04:23 PM - Israa Naser

- Related to Bug #1719: Price average screen does not handle searching for a defined item barcode that is linked to items with different barcodes 

added

#6 - 09/03/2019 10:45 AM - Israa Naser

- Related to Bug #1737: Validation over the date period keeps triggering when the user tries to navigate to another screen added

#7 - 09/09/2019 11:28 AM - Israa Naser

- Status changed from Open to Closed

- % Done changed from 0 to 100

All related Bug reports are closed,

this can be closed

Files

PNG.متوسط سعر سلعة خلال مدة زمنية 41.5 KB 07/14/2019 Israa Naser
